%define ver     5.0.0
# update qtver here and QTVER in Makefile
%define qtver	 3.3.5

Summary: LSB Build environment qt3 package
Name: lsb-build-qt3
Version: %ver
Release: 1
License: GPL
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Source: lsb-build-qt3-%ver.tar.gz
Source1: qt-x11-free-%qtver.tar.gz
BuildRoot: /var/tmp/lsb-build-qt3-root
AutoReqProv: no
# Does not strictly require lsb
Requires: lsb >= 3.1
Requires: lsb-build-base lsb-build-desktop lsb-build-c++
Obsoletes: lsbdev-qt3
BuildRequires: lsb-build-base lsb-build-cc lsb-build-desktop 

%description
This package provides LSB qt3 building support for the
lsb-build packages.  It adds LSB qt headers.

%prep
%setup -q
tar xzf %{SOURCE1}
# copy the linux-lsb-qt3 makespec needed for bootstrapping
cp -rpf linux-lsb-qt3 qt-x11-free-%qtver/mkspecs

%build
export PATH=/opt/lsb/bin:$PATH
export LSB_PRODUCT=desktop
cd qt-x11-free-%qtver

echo yes | ./configure \
	--prefix=/opt/lsb \
	-release \
	-thread \
	-stl \
	-platform linux-lsb-qt3 \
	-no-nas-sound \
	-no-sm \
	-no-xshape \
	-no-xcursor \
	-no-xrandr \
	-no-xinerama \
	-no-tablet \
	-no-xkb \
	-no-dlopen-opengl

IMAGE=$(pwd)/image
if [ ! -e "src/Makefile" ]; then
    echo "No such file: src/Makefile"
    exit 1
fi
# strip all dependencies from the install_headers target
# so that we don't have to build Qt itself to install all headers
sed -e 's/^install_headers:.*/install_headers:/' src/Makefile | sed -e 's/^install_headers_p:.*/install_headers_p:/' >src/Makefile.lsb

# build the build tools
make -C src/moc
make -C tools/designer/uic
make -C tools/linguist/lrelease
make -C tools/linguist/lupdate

%install
rm -rf $RPM_BUILD_ROOT

cd qt-x11-free-%qtver

make -C src -f Makefile.lsb install_headers INSTALL_ROOT=$RPM_BUILD_ROOT
make -C src -f Makefile.lsb install_headers_p INSTALL_ROOT=$RPM_BUILD_ROOT

# copy the tools
mkdir -p $RPM_BUILD_ROOT/opt/lsb/bin
cp bin/qmake $RPM_BUILD_ROOT/opt/lsb/bin/qmake_lsb_qt3
cp bin/moc $RPM_BUILD_ROOT/opt/lsb/bin/moc_lsb_qt3
cp bin/uic $RPM_BUILD_ROOT/opt/lsb/bin/uic_lsb_qt3
cp bin/lrelease $RPM_BUILD_ROOT/opt/lsb/bin/lrelease_lsb_qt3
cp bin/lupdate $RPM_BUILD_ROOT/opt/lsb/bin/lupdate_lsb_qt3

cd ..
mkdir -p $RPM_BUILD_ROOT/opt/lsb/include
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-qt3
cp README Licence GPL $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-qt3

#copy linux-lsb mkspecs
mkdir -p $RPM_BUILD_ROOT/opt/lsb/mkspecs/linux-lsb-qt3
cp -rpf linux-lsb-qt3/ $RPM_BUILD_ROOT/opt/lsb/mkspecs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/lsb/bin/*
%dir /opt/lsb/doc/lsb-build-qt3
/opt/lsb/doc/lsb-build-qt3/*
/opt/lsb/include/*
%dir /opt/lsb/mkspecs
%dir /opt/lsb/mkspecs/linux-lsb-qt3
/opt/lsb/mkspecs/linux-lsb-qt3/*

%changelog
* Wed Jan 14 2009 Stew Benedict <stewb@linux-foundation.org>
- update buildrequires, tune configure to build on other systems
  besides SLES10 (bug 2497)

* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- be specific with %%files list

